/*
 * $Id: VKC404.java,v 1.3 2004/11/16 11:07:54 jonyp Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: VKC404.java,v $
 * Revision 1.3  2004/11/16 11:07:54  jonyp
 * changed table availabilities ==> VKC_AVAILS
 *
 * Revision 1.2  2004/07/20 08:15:53  jonyp
 * added copyright info + cvs log
 *
 * Revision 1.1  2004/05/28 10:40:11  jonyp
 * first strike
 *
 *
 */


package vkc.db.entities;

import java.io.Serializable;
import java.sql.Timestamp;


public class VKC404 implements Serializable {

    private Integer vkc404Id = new Integer(-1);
    private Timestamp uptime;
    private Timestamp downtime;
    private String uptimeDescription;
    private String downtimeDescription;
    
    public VKC404() {
    }

    public Timestamp getDowntime() {
        return downtime;
    }

    public void setDowntime(Timestamp downtime) {
        this.downtime = downtime;
    }

    public String getDowntimeDescription() {
        return downtimeDescription;
    }

    public void setDowntimeDescription(String downtimeDescription) {
        this.downtimeDescription = downtimeDescription;
    }

    public Timestamp getUptime() {
        return uptime;
    }

    public void setUptime(Timestamp uptime) {
        this.uptime = uptime;
    }

    public String getUptimeDescription() {
        return uptimeDescription;
    }

    public void setUptimeDescription(String uptimeDescription) {
        this.uptimeDescription = uptimeDescription;
    }

    public Integer getVkc404Id() {
        return vkc404Id;
    }

    public void setVkc404Id(Integer vkc404Id) {
        this.vkc404Id = vkc404Id;
    }
}